POST /suno/submit/{action} with action=music (see manifest for routing parameters).mv): chirp-v3-0 (v3.0), chirp-v3-5 (v3.5), chirp-v4 (v4.0), chirp-v4-5 (v4.5; alias chirp-auk), chirp-v5 (v5.0), chirp-v5-5 (v5.5; alias chirp-fenix), chirp-v6 (v6.0), chirp-v6-wild (v6-wild), chirp-v6-mini (v6-mini). Do not send chirp-auk / chirp-fenix as the request value.gpt_description_prompt and prompt are provided, the gateway/upstream actual branch shall prevail (do not treat it as a simple choice between the two and can be filled in at the same time). See API-Doc-Standards §2.3 for details.continue_clip_id must come from the clip/song returned by previous fetch and cannot be created by yourself.clip_id value of one of the songs can be obtained: 54834687-5e79-4f08-8e14-cf188f15b598clip_id needs to exist in the system memory, not uploaderchirp-v3-5-tau or chirp-v4-tauartist_consistencyclip_id in step Agpt_description_prompt, AI will automatically generate music style and lyricsprompt (lyrics) + tags (style tags) to accurately control the creative directionmake_instrumental: true to generate background music without lyricscontinue_clip_id + continue_at to continue the existing clipcurl --location 'https://api.key4u.vn/suno/submit/music' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"artist_clip_id": "string",
"continue_at": 0,
"continue_clip_id": "string",
"gpt_description_prompt": "string",
"make_instrumental": true,
"metadata": {
"metadataParams": {
"artist_clip_id": "string",
"clip_id": "string",
"continue_clip_id": "string",
"continued_aligned_prompt": "string",
"infill_context_end_s": 0,
"infill_context_start_s": 0,
"infill_end_s": 0,
"infill_start_s": 0,
"mashup_clip_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"metadata": {
"infill_lyrics": "string"
},
"persona_id": "string",
"sound": "string",
"type": "string",
"underpainting_clip_id": "string",
"underpainting_end_s": 0,
"underpainting_start_s": 0,
"variation_category": "string"
},
"metadata_params": {
"artist_clip_id": "string",
"clip_id": "string",
"continue_clip_id": "string",
"continued_aligned_prompt": "string",
"infill_context_end_s": 0,
"infill_context_start_s": 0,
"infill_end_s": 0,
"infill_start_s": 0,
"mashup_clip_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"metadata": {
"infill_lyrics": "string"
},
"persona_id": "string",
"sound": "string",
"type": "string",
"underpainting_clip_id": "string",
"underpainting_end_s": 0,
"underpainting_start_s": 0,
"variation_category": "string"
},
"task": "string"
},
"metadata_params": {
"artist_clip_id": "string",
"clip_id": "string",
"continue_clip_id": "string",
"continued_aligned_prompt": "string",
"infill_context_end_s": 0,
"infill_context_start_s": 0,
"infill_end_s": 0,
"infill_start_s": 0,
"mashup_clip_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"metadata": {
"infill_lyrics": "string"
},
"persona_id": "string",
"sound": "string",
"type": "string",
"underpainting_clip_id": "string",
"underpainting_end_s": 0,
"underpainting_start_s": 0,
"variation_category": "string"
},
"mv": "string",
"persona_id": "string",
"prompt": "string",
"tags": "string",
"task": "extend",
"task_id": "string",
"title": "string"
}'{
"code": "success",
"data": "1268154180129529857",
"message": ""
}